/***************************************************************************
*   Copyright (C) 2004-2005 by Thomas Fischer                             *
*   fischer@unix-ag.uni-kl.de                                             *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#include "selectaction.h"

namespace KBibTeX
{

    SelectAction::SelectAction( const QString &text, const KShortcut &cut, KActionCollection *parent, const char *name )
            : KSelectAction( text, cut, parent, name )
    {
        connect( this, SIGNAL( activated( const QString& ) ), SLOT( startAction( const QString& ) ) );
    }

    void SelectAction::startAction( const QString&name )
    {
        m_dictActions[ name ] ->activate();
    }


    void SelectAction::setItems( QPtrList<KAction>& list )
    {
        QStringList tmp;

        for ( uint i = 0; i < list.count(); ++i )
        {
            tmp.append( list.at( i ) ->text() );
            m_dictActions.insert( list.at( i ) ->text(), list.at( i ) );
        }

        KSelectAction::setItems( tmp );
    }


}
#include "selectaction.moc"
